<template>
    <b-navbar type="dark" toggleable="lg" class="navbar">

        <b-navbar-toggle target="nav-collapse"></b-navbar-toggle>

        <b-collapse id="nav-collapse" is-nav>
            <b-navbar-nav class="ml-auto">
                <li>
                    <a
                        href="https://carti.io/pricing"
                        target="_blank"
                    >Pricing</a>
                </li>
                <li>
                    <a
                        href="https://carti.io/messenger"
                        target="_blank"
                    >Features</a>
                </li>
                <li  v-if="$route.name !== 'login'">
                    <router-link to="/login">Login</router-link>
                </li>
            </b-navbar-nav>
        </b-collapse>
    </b-navbar>
</template>

<script>
export default {
    name: "MainMenu"
}
</script>

<style scoped lang="scss">
@import "resources/css/colors";

.navbar ul li {
    float: left;
    list-style: none;
    margin-left: 25px;
}

.navbar {
    padding: 0;

    a {
        color: white !important;

        &:hover {
            text-decoration: underline;
        }
    }

    li {
        margin: 0 10px;
    }
    @media screen and (max-width: 991px){
        position: absolute;
        left: 0;
        top: 0;
        width: 100%;
        padding: 10px;
        display: flex;
        justify-content: flex-end;
        background-color: $blue-color;
        li {
            padding: 10px;
            font-size: 25px;
        }
    }
}

.login-text a {
    color: #8fb6f9 !important;

    &:hover {
        text-decoration: none;
    }
}

</style>
